import { Body, Controller, Post } from '@nestjs/common';
import { CreateOutBidLogsDto } from '../../dto/out-bid-log/create-out-bid-logs.dto';
import { OutBidLogsService } from '../../services/out-bid-logs.service';
import { CreateOutBidLogDto } from '../../dto/out-bid-log/create-out-bid-log.dto';

@Controller('out-bid-logs')
export class OutBidLogsController {
  constructor(private readonly outBidLogsService: OutBidLogsService) {}

  @Post()
  create(@Body() data: CreateOutBidLogsDto) {
    return this.outBidLogsService.create(data.data);
  }

  @Post('simple')
  createSimple(@Body() data: CreateOutBidLogDto) {
    return this.outBidLogsService.createSimple(data);
  }
}
